<link href="_lib/search.css" rel="stylesheet" type="text/css">
<link href="_lib/gradient.css" rel="stylesheet" type="text/css">
<a class="button" onclick="window.open('data:application/msexcel,'+document.getElementById('export').outerHTML.replace(/ /g, '%20'));">Export Data ke Excel</a>&nbsp;<a class="button" onclick="window.open('data:application/msword,'+document.getElementById('export').outerHTML.replace(/ /g, '%20'));">Export Data ke Word</a>
<?php
include 'config/koneksi.php';
include '_lib/fungsi_indotgl.php';
		

//menampilkan data
$status = array();
$posisi  = 0;
$date_now = date("Y-m-d");
$arsip_detail = mysql_query("SELECT perkara.perkara_id, 
perkara.alur_perkara_id,
perkara.pihak1_text, 
perkara.jenis_perkara_text,
perkara.proses_terakhir_text,
arsip.id,
arsip.nomor_perkara,
arsip.tanggal_masuk_arsip,
arsip.no_ruang,
arsip.no_lemari,
arsip.no_rak,
arsip.no_berkas,
arsip.nomor_arsip,
arsip.nama_penerima,
arsip.nama_penyerah,
arsip.lengkap,
IF (STATUS=1,'Ada',IF(STATUS=2,'Dipinjam','Pemusnahan')) AS status_arsip,
panitera_pn.nama_gelar AS nama_pp
FROM perkara, perkara_putusan, arsip, panitera_pn, perkara_panitera_pn
WHERE perkara.perkara_id = perkara_putusan.perkara_id 
AND perkara_putusan.perkara_id = arsip.perkara_id
AND perkara_panitera_pn.perkara_id = arsip.perkara_id 
AND perkara_panitera_pn.panitera_id = panitera_pn.id
AND perkara_putusan.tanggal_putusan IS NOT NULL
AND perkara_putusan.tanggal_minutasi IS NOT NULL
AND perkara_putusan.tanggal_bht IS NOT NULL
AND arsip.tanggal_masuk_arsip IS NOT NULL
AND YEAR(perkara_putusan.tanggal_putusan) >= 2019
ORDER BY arsip.tanggal_masuk_arsip DESC");

echo "<div id='export'>";
echo "<h2>E-doc Arsip Perkara yang belum Terupload</h2><br>";
echo "<table align=center><tr>
    <th width='2%'>No.</th>
	<th width='12%'>Nomor Perkara</th>
	<th width='16%'>Nama Penggugat / Pemohon</th>
	<th width='13%'>Nama Panitera Pengganti</th>
	<th width='12%'>Jenis Perkara</th>
	<th width='9%'>Tanggal Masuk Arsip</th>
	<th width='8%'>Nomor Arsip</th>
	<th width='8%'>Nomor Lemari</th>
	<th width='8%'>Nomor Rak</th>
	<th>Edoc Arsip</th></tr>";
	
$no = $posisi+1;
$totalperkara = mysql_num_rows($arsip_detail);
echo "<p align=left>Total : <b>$totalperkara</b> Perkara</p><br>";
while($r=mysql_fetch_array($arsip_detail)){
$tanggal1  = tgl_indo($r['tanggal_masuk_arsip']);
$no_ruang = str_replace(' ', '_', $r['no_ruang']);
$no_lemari = str_replace(' ', '_', $r['no_lemari']);
$no_rak = str_replace(' ', '_', $r['no_rak']);
$no_berkas = str_replace(' ', '_', $r['no_berkas']);
$nomor_perkara=trim($r['nomor_perkara']);
$nomor_perkara=str_replace("/", "_", $r['nomor_perkara']);
$nomor_perkara = str_replace(' ', '_', $nomor_perkara);
$nomor_perkara=str_replace(".", "_", $nomor_perkara);
$filename="http://localhost/sipp/dokumen_arsip/".$no_ruang."/".$no_lemari."/".$no_rak."/".$no_berkas."/Arsip_".$nomor_perkara.".*";
$data['filename']=$filename;
$data['edoc_arsip']=glob ($filename);
$ahyar = !empty($edoc_arsip)? '[<a href="#" onClick="doDownload1(\''.$enc.'\')">download</a>]':'Tidak Ada E-Doc Arsip';

echo "<tr>
  <td align='center'>$no</td>
  <td>$r[nomor_perkara]</td>
  <td>$r[pihak1_text]</td>
  <td align='center'>$r[nama_pp]</td>
  <td align='center'>$r[jenis_perkara_text]</td>
  <td align='center'>$tanggal1</td>
  <td align='center'>$r[nomor_arsip]</td>
  <td align='center'>$r[no_lemari]</td>
  <td align='center'>$r[no_rak]</td>
  <td align='center'>$ahyar</td></tr>";
  $no++;
  }
echo "</table><br>";
?>